package com.realnet.founder's_friend.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.founder's_friend.Entity.Notes;
import com.realnet.founder's_friend.Services.NotesService ;




@RequestMapping(value = "/Notes")
 @CrossOrigin("*") 
@RestController
public class NotesController {
	@Autowired
	private NotesService Service;

@Value("${projectPath}")
	private String projectPath;
 




	@PostMapping("/Notes")
		  public Notes Savedata(@RequestBody Notes data) {
		Notes save = Service.Savedata(data)	;



		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Notes/{id}")
	public  Notes update(@RequestBody Notes data,@PathVariable Integer id ) {
		Notes update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Notes/getall/page")
	public Page<Notes> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Notes> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Notes")
	public List<Notes> getdetails() {
		 List<Notes> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Notes")
	public List<Notes> getallwioutsec() {
		 List<Notes> get = Service.getdetails();		
		return get;
}
@GetMapping("/Notes/{id}")
	public  Notes  getdetailsbyId(@PathVariable Integer id ) {
		Notes  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Notes/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}





}